Grants, vesting & distributions
Bulk Add Vestings
Replaces grants' vesting schedules with custom rows when no tax references, settlements, exercise requests or processed lockups exist.
POSThttps://api.toku.com/tga/bulk-add-vestings
Not available to API keys yet. It will need grants:write.
curl --request POST \
--url 'https://api.toku.com/tga/bulk-add-vestings' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"grantID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"vestingDate": "2026-01-01T00:00:00Z",
"sequence": 0
}
]'200 response
{
"success": true,
"errorMessage": "string",
"warning": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
grantIDstring<uuid>requiredvestingDatestring<date-time>requiredvestedUnitsany | string | numberrequiredsequenceintegerrequiredAllowed: 0 to 10000
Response
200Successful response
successbooleanrequirederrorMessagestring | nullrequiredwarningstring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits